
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-57.29577951308232d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.29577951308232d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics1 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = null;
    org.apache.commons.math.stat.descriptive.rank.Max max1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.rank.Max.copy(max0, max1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.298342365610589d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array1 = new double[] {  };
    double[] d_array5 = new double[] { 10.0d, 100.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      double d6 = variance0.evaluate(d_array1, d_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d2 = org.apache.commons.math.util.FastMath.min(100.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.641588833612779d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3084559942896059E-25d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares(sumOfSquares0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics.copy(synchronizedSummaryStatistics0, synchronizedSummaryStatistics1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, (-1));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    java.lang.String str4 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: 10 != -1"+ "'", str4.equals("org.apache.commons.math.exception.DimensionMismatchException: 10 != -1"));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5607966601082315d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = null;
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    double[] d_array5 = new double[] { 100.0d, 100.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      variance0.setData(d_array5, 10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3025850929940463d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = null;
    org.apache.commons.math.stat.descriptive.rank.Min min1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.rank.Min.copy(min0, min1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.Sum sum1 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000002f);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.rank.Max max1 = new org.apache.commons.math.stat.descriptive.rank.Max(max0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(100.0d, 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 115.251057912766d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(2.302585092994046d, 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.446352007449162d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array6 = new double[] { 10.0d };
    double d7 = sumOfLogs4.evaluate(d_array6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    boolean b11 = variance8.equals((java.lang.Object)0.0d);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    double d16 = variance8.evaluate(d_array14, Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = variance0.evaluate(d_array6, d_array14, 0.0d, 0, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8212977905417654E24d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double d2 = org.apache.commons.math.util.FastMath.min(10.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = geometricMean0.evaluate(d_array11, 6, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.increment((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.log(2.446352007449162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8945979383780784d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = null;
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.SumOfSquares.copy(sumOfSquares0, sumOfSquares1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5872139151569291d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(115.251057912766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 115.0d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6682015101903135d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    double[] d_array5 = new double[] { 1.0d, 1.0d, 100.0d };
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    variance6.incrementAll(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = variance1.evaluate(d_array5, d_array11, 1.5430806348152437d, 100, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(3.8212977905417654E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.499568773177577d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(3.8212977905417654E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8212977905417654E24d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.3084559942896059E-25d, 1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0075709037239642075d));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.050000000000001d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (-1.0d) };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException0, localizable1, obj_array4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = mathIllegalStateException6.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = mathIllegalStateException6.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0f, (-0.0075709037239642075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = variance16.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.5430806348152437d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5430806348152435d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6734029996004699d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.0d, 4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.641588833612779d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double d4 = variance0.getResult();
    double[] d_array5 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    boolean b9 = variance6.equals((java.lang.Object)0.0d);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    double d14 = variance6.evaluate(d_array12, Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = variance0.evaluate(d_array5, d_array12, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000004f);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2184249125858766d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.3084559942896059E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.076756969591985E-9d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(10.000000000000002d, 2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3444824314431956d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1947055233182955d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.0075709037239642075d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.7526054133393485d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-7.499568773177577d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-7L));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(115.0d, 1.3444824314431956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 115.00785900541084d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6795226183513794d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.6795226183513794d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(4.641588833612779d, 1.5430806348152435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.641588833612779d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0d, 1.3444824314431956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(10.0d, 1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.118354502859733d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean0, geometricMean8);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean17 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean8);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics18 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = synchronizedSummaryStatistics18.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic20 = synchronizedSummaryStatistics18.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics18.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = synchronizedSummaryStatistics18.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    synchronizedSummaryStatistics18.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance23);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    variance23.setData(d_array28);
    double[] d_array30 = variance23.getData();
    // The following exception was thrown during execution in test generation
    try {
      double d33 = geometricMean8.evaluate(d_array30, 1, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array5 = new double[] { 10.0d };
    double d6 = sumOfLogs3.evaluate(d_array5);
    synchronizedSummaryStatistics0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    double d8 = synchronizedSummaryStatistics0.getGeometricMean();
    double d9 = synchronizedSummaryStatistics0.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0000004f, 2.446352007449162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000005f);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2326303196791324d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-7.499568773177577d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.499568773177577d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.5872139151569291d), 1.1947055233182955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5872139151569291d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(5.076756969591985E-9d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(10.000000000000002d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000005f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance1.increment(3.8212977905417654E24d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d5 = variance4.getResult();
    variance4.setBiasCorrected(false);
    double[] d_array8 = variance4.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance1, variance4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    java.lang.String str4 = synchronizedSummaryStatistics0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 0.0\nstandard deviation: NaN\nsum of logs: 0.0\n"+ "'", str4.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 0.0\nstandard deviation: NaN\nsum of logs: 0.0\n"));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.rank.Min min1 = new org.apache.commons.math.stat.descriptive.rank.Min(min0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.6734029996004699d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7978081188791967d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(115.00785900541084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.428417373264941E49d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1947055233182955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4998959932149662d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17453292519943298d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-7.7526054133393485d), 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.7526054133393485d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(5.076756969591985E-9d, 2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.076756969591985E-9d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4711276743037347d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    int i2 = org.apache.commons.math.util.FastMath.max(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    // The following exception was thrown during execution in test generation
    try {
      double d2 = secondMoment0.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    synchronizedSummaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = null;
    synchronizedSummaryStatistics0.setMeanImpl(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    long long2 = org.apache.commons.math.util.FastMath.min(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.0f);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.0f+ "'", number3.equals(0.0f));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    long long1 = org.apache.commons.math.util.FastMath.round(2.446352007449162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    double d4 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    boolean b8 = variance5.equals((java.lang.Object)0.0d);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    double d13 = variance5.evaluate(d_array11, Double.NaN);
    double d14 = variance0.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics15 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = synchronizedSummaryStatistics15.getVarianceImpl();
    double d17 = synchronizedSummaryStatistics15.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics18 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics15);
    double d19 = synchronizedSummaryStatistics18.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long21 = sumOfLogs20.getN();
    synchronizedSummaryStatistics18.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs20);
    double[] d_array25 = new double[] { 1.0d, 100.0d };
    sumOfLogs20.incrementAll(d_array25);
    double[] d_array27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = variance0.evaluate(d_array25, d_array27, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = null;
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean1 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(sumOfLogs0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d13 = variance4.evaluate(d_array7, d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = geometricMean1.evaluate(d_array11, (-1), 6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(5.050000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7156569716217094d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d0 = org.apache.commons.math.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.0f, 2.3025850929940463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.8945979383780784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0187900451718068d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.0f, (-0.6682015101903135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1947055233182955d, 115.251057912766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 115.25724997282899d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8414709848078965d));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(byte)(-1));
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1.0d) };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException2, localizable3, obj_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-1.0d), 10.118354502859733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.446352007449162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance5);
    double[] d_array8 = null;
    variance5.setData(d_array8);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics10 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics10.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = synchronizedSummaryStatistics10.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    synchronizedSummaryStatistics10.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    variance15.setData(d_array20);
    double[] d_array22 = variance15.getData();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = variance5.evaluate(d_array22, 6, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary16 = synchronizedSummaryStatistics0.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = synchronizedSummaryStatistics0.getMaxImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    double d1 = geometricMean0.getResult();
    geometricMean0.increment(1.0d);
    double[] d_array4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = geometricMean0.evaluate(d_array4, 10, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11013.232920103343d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long1 = sumOfLogs0.getN();
    long long2 = sumOfLogs0.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    variance3.incrementAll(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = sumOfLogs0.evaluate(d_array8, 10, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = sumOfLogs5.evaluate(d_array8, 5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math.util.FastMath.log(Double.NaN, (-0.6795226183513794d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.5430806348152435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02771214377020818d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.2184249125858766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8391889401033789d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean2 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array5 = new double[] { 10.0d };
    double d6 = sumOfLogs3.evaluate(d_array5);
    double d9 = geometricMean2.evaluate(d_array5, 0, 1);
    variance0.incrementAll(d_array5);
    double[] d_array14 = new double[] { 1.0d, 10.0d, 1.0d };
    variance0.incrementAll(d_array14);
    variance0.clear();
    double[] d_array17 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    variance18.incrementAll(d_array23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d30 = variance29.getResult();
    variance29.setBiasCorrected(false);
    double d33 = variance29.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d35 = variance34.getResult();
    boolean b37 = variance34.equals((java.lang.Object)0.0d);
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    double d42 = variance34.evaluate(d_array40, Double.NaN);
    double d43 = variance29.evaluate(d_array40);
    double d44 = variance18.evaluate(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      double d45 = variance0.evaluate(d_array17, d_array40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 40.5d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d2 = variance1.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean3 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array6 = new double[] { 10.0d };
    double d7 = sumOfLogs4.evaluate(d_array6);
    double d10 = geometricMean3.evaluate(d_array6, 0, 1);
    variance1.incrementAll(d_array6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d13 = variance12.getResult();
    variance12.setBiasCorrected(false);
    double d16 = variance12.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d18 = variance17.getResult();
    boolean b20 = variance17.equals((java.lang.Object)0.0d);
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    double d25 = variance17.evaluate(d_array23, Double.NaN);
    double d26 = variance12.evaluate(d_array23);
    double d27 = variance1.evaluate(d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double d30 = mean0.evaluate(d_array23, 5, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 40.5d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5607966601082315d, 1.1947055233182955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.366091136789936d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5430806348152435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9126365759632116d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(20.25d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 20.25d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    double d8 = variance0.evaluate(d_array6, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = variance9.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.587213915156929d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.0f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      sumOfLogs8.setData(d_array11, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(5.050000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.94042348121810176E17d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSumOfLogs();
    double d3 = synchronizedSummaryStatistics0.getMin();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = synchronizedSummaryStatistics0.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = geometricMean5.getSumLogImpl();
    synchronizedSummaryStatistics0.setMinImpl(storelessUnivariateStatistic13);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics16 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = synchronizedSummaryStatistics16.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    variance18.incrementAll(d_array23);
    double[] d_array32 = new double[] { 1.0d, 10.0d, 1.0d };
    variance18.incrementAll(d_array32);
    synchronizedSummaryStatistics16.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    variance18.setBiasCorrected(true);
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    java.lang.String str38 = synchronizedSummaryStatistics0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "SummaryStatistics:\nn: 0\nmin: 0.0\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 27.0\nstandard deviation: NaN\nsum of logs: 0.0\n"+ "'", str38.equals("SummaryStatistics:\nn: 0\nmin: 0.0\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 27.0\nstandard deviation: NaN\nsum of logs: 0.0\n"));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.8391889401033789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3732749173210244d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d2 = variance1.getResult();
    boolean b4 = variance1.equals((java.lang.Object)0.0d);
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    double d9 = variance1.evaluate(d_array7, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d12 = variance11.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean13 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    double d20 = geometricMean13.evaluate(d_array16, 0, 1);
    variance11.incrementAll(d_array16);
    secondMoment10.setData(d_array16);
    double d24 = variance1.evaluate(d_array16, 1.3444824314431956d);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = sumOfSquares0.evaluate(d_array16, 5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean0, geometricMean8);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean17 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    variance18.setBiasCorrected(false);
    double d22 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    boolean b26 = variance23.equals((java.lang.Object)0.0d);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    double d31 = variance23.evaluate(d_array29, Double.NaN);
    double d32 = variance18.evaluate(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = geometricMean17.evaluate(d_array29, (-1), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 20.25d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    long long2 = sumOfSquares0.getN();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics3.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = synchronizedSummaryStatistics3.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    synchronizedSummaryStatistics3.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    variance8.setData(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = sumOfSquares0.evaluate(d_array13, 100, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean1 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares2 = sumOfSquares0.copy();
    double[] d_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = sumOfSquares0.evaluate(d_array3, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfSquares2);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = null;
    double[] d_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = sum1.evaluate(d_array2, d_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.6795226183513794d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5968501485036166d));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array2 = new double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = variance0.evaluate(d_array2, 1024, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(5.050000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.302585092994046d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 280777.9675038599d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    float f2 = org.apache.commons.math.util.FastMath.max(7.6293945E-6f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.000001f, 1.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000005f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    int i1 = org.apache.commons.math.util.FastMath.round(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(7.6293945E-6f, (-0.587213915156929d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.8391889401033789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.17453292519943298d, true);
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException4.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum0.copy();
    sum3.clear();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    // The following exception was thrown during execution in test generation
    try {
      sum3.incrementAll(d_array8, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267948966d));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    double d1 = synchronizedSummaryStatistics0.getMax();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics2 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics2.getVarianceImpl();
    double d4 = synchronizedSummaryStatistics2.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics2.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics.copy(synchronizedSummaryStatistics0, synchronizedSummaryStatistics2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d8 = variance7.getResult();
    variance7.setBiasCorrected(false);
    double d11 = variance7.getResult();
    synchronizedSummaryStatistics2.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    double[] d_array16 = new double[] { 10.0d, 1.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      variance7.incrementAll(d_array16, 100, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(5.298342365610589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.29834236561059d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    int i2 = org.apache.commons.math.util.FastMath.max(6, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double[] d_array4 = null;
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment12);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs18 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array20 = new double[] { 10.0d };
    double d21 = sumOfLogs18.evaluate(d_array20);
    double d22 = variance13.evaluate(d_array16, d_array20);
    double d23 = mean6.evaluate(d_array9, d_array16);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = sum0.evaluate(d_array4, d_array16, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares2 = sumOfSquares0.copy();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    double d5 = synchronizedSummaryStatistics3.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics6 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics3);
    double d7 = synchronizedSummaryStatistics6.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long9 = sumOfLogs8.getN();
    synchronizedSummaryStatistics6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs8);
    double[] d_array13 = new double[] { 1.0d, 100.0d };
    sumOfLogs8.incrementAll(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = sumOfSquares2.evaluate(d_array13, 0, 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfSquares2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.8391889401033789d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8391889401033789d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.94042348121810176E17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3866778630266225E15d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean2);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array6 = new double[] { 10.0d };
    double d7 = sumOfLogs4.evaluate(d_array6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment9);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs11 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array13 = new double[] { 10.0d };
    double d14 = sumOfLogs11.evaluate(d_array13);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d19 = variance10.evaluate(d_array13, d_array17);
    double d20 = mean3.evaluate(d_array6, d_array13);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics21 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = synchronizedSummaryStatistics21.getVarianceImpl();
    double d23 = synchronizedSummaryStatistics21.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics24 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics21);
    double d25 = synchronizedSummaryStatistics24.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs26 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long27 = sumOfLogs26.getN();
    synchronizedSummaryStatistics24.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs26);
    double[] d_array31 = new double[] { 1.0d, 100.0d };
    sumOfLogs26.incrementAll(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = mean1.evaluate(d_array13, d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = new double[] {  };
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment4);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    double d14 = variance5.evaluate(d_array8, d_array12);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = sum1.evaluate(d_array2, d_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.7978081188791967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7978081188791966d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    double d8 = variance0.evaluate(d_array6, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d13 = variance0.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics14 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics14.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = synchronizedSummaryStatistics14.getMinImpl();
    boolean b17 = variance0.equals((java.lang.Object)storelessUnivariateStatistic16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    variance18.setBiasCorrected(false);
    double d22 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    boolean b26 = variance23.equals((java.lang.Object)0.0d);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    double d31 = variance23.evaluate(d_array29, Double.NaN);
    double d32 = variance18.evaluate(d_array29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs36 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array38 = new double[] { 10.0d };
    double d39 = sumOfLogs36.evaluate(d_array38);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs40 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array42 = new double[] { 10.0d };
    double d43 = sumOfLogs40.evaluate(d_array42);
    double d44 = variance35.evaluate(d_array38, d_array42);
    // The following exception was thrown during execution in test generation
    try {
      double d45 = variance0.evaluate(d_array29, d_array38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    double[] d_array10 = new double[] { 1.0d, 100.0d };
    sumOfLogs5.incrementAll(d_array10);
    double[] d_array12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = sumOfLogs5.evaluate(d_array12, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean0, geometricMean8);
    double d17 = geometricMean0.getResult();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics18 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = synchronizedSummaryStatistics18.getVarianceImpl();
    double d20 = synchronizedSummaryStatistics18.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics21 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics18);
    double d22 = synchronizedSummaryStatistics21.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs23 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long24 = sumOfLogs23.getN();
    synchronizedSummaryStatistics21.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs23);
    double[] d_array28 = new double[] { 1.0d, 100.0d };
    sumOfLogs23.incrementAll(d_array28);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = geometricMean0.evaluate(d_array28, 6, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), (-7L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    double d0 = org.apache.commons.math.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.302585092994046d, 1.1947055233182955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1947055233182955d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance5);
    double[] d_array8 = null;
    variance5.setData(d_array8);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean10 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs11 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array13 = new double[] { 10.0d };
    double d14 = sumOfLogs11.evaluate(d_array13);
    double d17 = geometricMean10.evaluate(d_array13, 0, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = variance5.evaluate(d_array13, (-1), 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.000000000000002d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    double d4 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    boolean b9 = variance6.equals((java.lang.Object)0.0d);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    double d14 = variance6.evaluate(d_array12, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d19 = variance6.evaluate(d_array17);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = geometricMean20.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean29 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d31 = variance30.getResult();
    variance30.setBiasCorrected(false);
    double d34 = variance30.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d36 = variance35.getResult();
    boolean b38 = variance35.equals((java.lang.Object)0.0d);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    double d43 = variance35.evaluate(d_array41, Double.NaN);
    double d44 = variance30.evaluate(d_array41);
    geometricMean29.incrementAll(d_array41);
    // The following exception was thrown during execution in test generation
    try {
      double d46 = variance0.evaluate(d_array17, d_array41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 20.25d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.718281828459045d, 3.3866778630266225E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.3866778630266225E15d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    long long7 = synchronizedSummaryStatistics0.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment8);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics10 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics10.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = synchronizedSummaryStatistics10.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    synchronizedSummaryStatistics10.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    double[] d_array18 = null;
    variance15.setData(d_array18);
    variance15.increment((-57.29577951308232d));
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    boolean b26 = variance23.equals((java.lang.Object)0.0d);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    double d31 = variance23.evaluate(d_array29, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs32 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array34 = new double[] { 10.0d };
    double d35 = sumOfLogs32.evaluate(d_array34);
    double d36 = variance23.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean37 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs38 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array40 = new double[] { 10.0d };
    double d41 = sumOfLogs38.evaluate(d_array40);
    double d44 = geometricMean37.evaluate(d_array40, 0, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d47 = variance15.evaluate(d_array34, d_array40, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.000000000000002d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics1 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics1.getVarianceImpl();
    double d3 = synchronizedSummaryStatistics1.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics4 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics1);
    double d5 = synchronizedSummaryStatistics4.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long7 = sumOfLogs6.getN();
    synchronizedSummaryStatistics4.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs6);
    synchronizedSummaryStatistics0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs6);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics10 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics10.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics10.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = synchronizedSummaryStatistics10.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    synchronizedSummaryStatistics10.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    variance15.setData(d_array20);
    double[] d_array22 = variance15.getData();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = sumOfLogs6.evaluate(d_array22, 100, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    double d4 = variance0.getResult();
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = variance0.evaluate(d_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException2 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array1);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = variance0.copy();
    double[] d_array6 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d8 = variance7.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean9 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    double d16 = geometricMean9.evaluate(d_array12, 0, 1);
    variance7.incrementAll(d_array12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    variance18.setBiasCorrected(false);
    double d22 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    boolean b26 = variance23.equals((java.lang.Object)0.0d);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    double d31 = variance23.evaluate(d_array29, Double.NaN);
    double d32 = variance18.evaluate(d_array29);
    double d33 = variance7.evaluate(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = variance0.evaluate(d_array6, d_array29, 40.5d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 40.5d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.8391889401033789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.6734029996004699d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.536397166390258E29d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7978081188791966d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7978081188791966d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics1 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    double d2 = synchronizedSummaryStatistics1.getMax();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    double d5 = synchronizedSummaryStatistics3.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics3.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics.copy(synchronizedSummaryStatistics1, synchronizedSummaryStatistics3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    variance8.setBiasCorrected(false);
    double d12 = variance8.getResult();
    synchronizedSummaryStatistics3.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    long long14 = variance8.getN();
    synchronizedSummaryStatistics0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    variance8.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance8, variance17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(false);
    double d2 = variance1.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum7.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum7.copy();
    synchronizedSummaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d13 = variance12.getResult();
    boolean b15 = variance12.equals((java.lang.Object)0.0d);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    double d20 = variance12.evaluate(d_array18, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d23 = variance22.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean24 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs25 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array27 = new double[] { 10.0d };
    double d28 = sumOfLogs25.evaluate(d_array27);
    double d31 = geometricMean24.evaluate(d_array27, 0, 1);
    variance22.incrementAll(d_array27);
    secondMoment21.setData(d_array27);
    double d35 = variance12.evaluate(d_array27, 1.3444824314431956d);
    double[] d_array36 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d37 = sum10.evaluate(d_array27, d_array36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(10.118354502859733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.94042348121810176E17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 17.287896521417718d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array6 = new double[] { 10.0d };
    double d7 = sumOfLogs4.evaluate(d_array6);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = sum0.evaluate(d_array6, 5, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.302585092994046d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.0187900451718068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8945979383780784d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(10.118354502859733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4085973015113193d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0187900451718068d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0187900451718068d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.02771214377020818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.836681515761676E-4d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    double[] d_array4 = variance0.getData();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics9 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = synchronizedSummaryStatistics9.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics9.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics9.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics9.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d15 = variance14.getResult();
    synchronizedSummaryStatistics9.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance14);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    variance14.setData(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = variance0.evaluate(d_array7, d_array19, 6, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-7.7526054133393485d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1163.814263599233d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    double[] d_array5 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    boolean b9 = variance6.equals((java.lang.Object)0.0d);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    double d14 = variance6.evaluate(d_array12, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d19 = variance6.evaluate(d_array17);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = variance4.evaluate(d_array5, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(4.836681515761676E-4d, 5.050000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.836681515761676E-4d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.3732749173210244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    long long2 = sumOfSquares0.getN();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = sumOfSquares0.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d5 = variance4.getResult();
    boolean b7 = variance4.equals((java.lang.Object)0.0d);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    double d12 = variance4.evaluate(d_array10, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d17 = variance4.evaluate(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = sumOfSquares0.evaluate(d_array15, 1024, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfSquares3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-0.5968501485036166d), 1.0187900451718068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.44412615900130886d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 1.7156569716217094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7156569716217094d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.7978081188791967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4503149199449435d);

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }
// 
// 
//     double d0 = org.apache.commons.math.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.5651876360311817d);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0187900451718068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19355357890317634d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = geometricMean4.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean13 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d15 = variance14.getResult();
    variance14.setBiasCorrected(false);
    double d18 = variance14.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d20 = variance19.getResult();
    boolean b22 = variance19.equals((java.lang.Object)0.0d);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    double d27 = variance19.evaluate(d_array25, Double.NaN);
    double d28 = variance14.evaluate(d_array25);
    geometricMean13.incrementAll(d_array25);
    secondMoment2.incrementAll(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = max0.evaluate(d_array25, (-127), 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 20.25d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(3.141592653589793d, 1.4998959932149662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14180066715986062d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(280777.9675038599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.3084559942896059E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.1947055233182955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7860478795856021d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3205004784536853d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.291904389212817d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = geometricMean0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean9 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d11 = variance10.getResult();
    variance10.setBiasCorrected(false);
    double d14 = variance10.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    boolean b18 = variance15.equals((java.lang.Object)0.0d);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    double d23 = variance15.evaluate(d_array21, Double.NaN);
    double d24 = variance10.evaluate(d_array21);
    geometricMean9.incrementAll(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = geometricMean9.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 20.25d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.366091136789936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = min0.evaluate(d_array1, 5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.99999994f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1023.99994f);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    double d5 = secondMoment2.getResult();
    secondMoment2.increment(10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-7.499568773177577d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9378504111190931d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum7.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum7.copy();
    synchronizedSummaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d13 = variance12.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d15 = variance14.getResult();
    boolean b17 = variance14.equals((java.lang.Object)0.0d);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    double d22 = variance14.evaluate(d_array20, Double.NaN);
    double d23 = variance12.evaluate(d_array20);
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean25 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean24);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs26 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array28 = new double[] { 10.0d };
    double d29 = sumOfLogs26.evaluate(d_array28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment31);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs33 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array35 = new double[] { 10.0d };
    double d36 = sumOfLogs33.evaluate(d_array35);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs37 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array39 = new double[] { 10.0d };
    double d40 = sumOfLogs37.evaluate(d_array39);
    double d41 = variance32.evaluate(d_array35, d_array39);
    double d42 = mean25.evaluate(d_array28, d_array35);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = sum10.evaluate(d_array20, d_array35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 10.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    double d16 = synchronizedSummaryStatistics0.getPopulationVariance();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d18 = variance17.getResult();
    boolean b20 = variance17.equals((java.lang.Object)0.0d);
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    double d25 = variance17.evaluate(d_array23, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance17);
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    double d28 = synchronizedSummaryStatistics0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 127);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d3 = variance2.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    variance2.incrementAll(d_array7);
    double[] d_array16 = new double[] { 1.0d, 10.0d, 1.0d };
    variance2.incrementAll(d_array16);
    synchronizedSummaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d20 = variance19.getResult();
    boolean b22 = variance19.equals((java.lang.Object)0.0d);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    double d27 = variance19.evaluate(d_array25, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs28 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array30 = new double[] { 10.0d };
    double d31 = sumOfLogs28.evaluate(d_array30);
    double d32 = variance19.evaluate(d_array30);
    variance2.incrementAll(d_array30);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics34 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics34.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic36 = synchronizedSummaryStatistics34.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic37 = synchronizedSummaryStatistics34.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic38 = synchronizedSummaryStatistics34.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d40 = variance39.getResult();
    synchronizedSummaryStatistics34.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance39);
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    variance39.setData(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      variance2.setData(d_array44, 0, 127);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean13 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    double d20 = geometricMean13.evaluate(d_array16, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = geometricMean13.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean22 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    variance23.setBiasCorrected(false);
    double d27 = variance23.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d29 = variance28.getResult();
    boolean b31 = variance28.equals((java.lang.Object)0.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    double d36 = variance28.evaluate(d_array34, Double.NaN);
    double d37 = variance23.evaluate(d_array34);
    geometricMean22.incrementAll(d_array34);
    secondMoment11.incrementAll(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      double d42 = sumOfLogs5.evaluate(d_array34, 6, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 20.25d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance1.increment(3.8212977905417654E24d);
    double[] d_array4 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d8 = variance7.getResult();
    boolean b10 = variance7.equals((java.lang.Object)0.0d);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    double d15 = variance7.evaluate(d_array13, Double.NaN);
    double d16 = variance5.evaluate(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = variance1.evaluate(d_array4, d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 40.5d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.7978081188791967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-45.71103807304942d));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { (-1.0d) };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = mathIllegalArgumentException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    double d2 = variance1.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d5 = variance4.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean6 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    double d13 = geometricMean6.evaluate(d_array9, 0, 1);
    variance4.incrementAll(d_array9);
    secondMoment3.setData(d_array9);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics16 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = synchronizedSummaryStatistics16.getVarianceImpl();
    double d18 = synchronizedSummaryStatistics16.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics19 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics16);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics20 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics20.getVarianceImpl();
    double d22 = synchronizedSummaryStatistics20.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = synchronizedSummaryStatistics20.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = synchronizedSummaryStatistics20.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs25 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array27 = new double[] { 10.0d };
    double d28 = sumOfLogs25.evaluate(d_array27);
    synchronizedSummaryStatistics20.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs25);
    synchronizedSummaryStatistics19.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs25);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics31 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = synchronizedSummaryStatistics31.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic33 = synchronizedSummaryStatistics31.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = synchronizedSummaryStatistics31.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics31.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d37 = variance36.getResult();
    synchronizedSummaryStatistics31.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    variance36.setData(d_array41);
    sumOfLogs25.incrementAll(d_array41);
    // The following exception was thrown during execution in test generation
    try {
      double d46 = variance1.evaluate(d_array9, d_array41, 127, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics1 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics1.getVarianceImpl();
    double d3 = synchronizedSummaryStatistics1.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics4 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics1);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = synchronizedSummaryStatistics1.getSummary();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { statisticalSummary5 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.3205004784536853d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs2 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array4 = new double[] { 10.0d };
    double d5 = sumOfLogs2.evaluate(d_array4);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d17 = variance8.evaluate(d_array11, d_array15);
    double d18 = mean1.evaluate(d_array4, d_array11);
    org.apache.commons.math.stat.descriptive.moment.Mean mean19 = mean1.copy();
    mean19.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d22 = variance21.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d24 = variance23.getResult();
    boolean b26 = variance23.equals((java.lang.Object)0.0d);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    double d31 = variance23.evaluate(d_array29, Double.NaN);
    double d32 = variance21.evaluate(d_array29);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics33 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = synchronizedSummaryStatistics33.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics33.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic36 = synchronizedSummaryStatistics33.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic37 = synchronizedSummaryStatistics33.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d39 = variance38.getResult();
    synchronizedSummaryStatistics33.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    variance38.setData(d_array43);
    double[] d_array45 = variance38.getData();
    // The following exception was thrown during execution in test generation
    try {
      double d48 = mean19.evaluate(d_array29, d_array45, (-1), 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(2.2326303196791324d, 4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.44833696677722196d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double d4 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment12);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs18 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array20 = new double[] { 10.0d };
    double d21 = sumOfLogs18.evaluate(d_array20);
    double d22 = variance13.evaluate(d_array16, d_array20);
    double d23 = mean6.evaluate(d_array9, d_array16);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics24 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = synchronizedSummaryStatistics24.getVarianceImpl();
    double d26 = synchronizedSummaryStatistics24.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics27 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics24);
    double d28 = synchronizedSummaryStatistics27.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs29 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long30 = sumOfLogs29.getN();
    synchronizedSummaryStatistics27.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs29);
    double[] d_array34 = new double[] { 1.0d, 100.0d };
    sumOfLogs29.incrementAll(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = variance0.evaluate(d_array9, d_array34, 100.0d, 0, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 1.5430806348152435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d5 = variance4.getResult();
    variance4.setBiasCorrected(false);
    double d8 = variance4.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d10 = variance9.getResult();
    boolean b12 = variance9.equals((java.lang.Object)0.0d);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    double d17 = variance9.evaluate(d_array15, Double.NaN);
    double d18 = variance4.evaluate(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d21 = sum0.evaluate(d_array15, 6, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 20.25d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d2 = org.apache.commons.math.util.FastMath.log(57.29577951308232d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-9.074787774234085d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    double d4 = synchronizedSummaryStatistics0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics5 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics5.getVarianceImpl();
    double d7 = synchronizedSummaryStatistics5.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics8 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics9 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = synchronizedSummaryStatistics9.getVarianceImpl();
    double d11 = synchronizedSummaryStatistics9.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics9.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics9.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    synchronizedSummaryStatistics9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    synchronizedSummaryStatistics8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs21);
    double d23 = synchronizedSummaryStatistics0.getMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = null;
    synchronizedSummaryStatistics0.setSumImpl(storelessUnivariateStatistic24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary26 = synchronizedSummaryStatistics0.getSummary();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = variance0.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d12 = variance11.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean13 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    double d20 = geometricMean13.evaluate(d_array16, 0, 1);
    variance11.incrementAll(d_array16);
    double[] d_array25 = new double[] { 1.0d, 10.0d, 1.0d };
    variance11.incrementAll(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = variance6.evaluate(d_array9, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance5);
    double d8 = synchronizedSummaryStatistics0.getMean();
    double d9 = synchronizedSummaryStatistics0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum0.copy();
    sum3.clear();
    double d5 = sum3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    boolean b9 = variance6.equals((java.lang.Object)0.0d);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    double d14 = variance6.evaluate(d_array12, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d19 = variance6.evaluate(d_array17);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics20 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics20.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = synchronizedSummaryStatistics20.getMinImpl();
    boolean b23 = variance6.equals((java.lang.Object)storelessUnivariateStatistic22);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean24 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs25 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array27 = new double[] { 10.0d };
    double d28 = sumOfLogs25.evaluate(d_array27);
    double d31 = geometricMean24.evaluate(d_array27, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean32 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean33 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean32);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs34 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array36 = new double[] { 10.0d };
    double d37 = sumOfLogs34.evaluate(d_array36);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance40 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment39);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs41 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array43 = new double[] { 10.0d };
    double d44 = sumOfLogs41.evaluate(d_array43);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs45 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array47 = new double[] { 10.0d };
    double d48 = sumOfLogs45.evaluate(d_array47);
    double d49 = variance40.evaluate(d_array43, d_array47);
    double d50 = mean33.evaluate(d_array36, d_array43);
    double d51 = variance6.evaluate(d_array27, d_array43);
    org.apache.commons.math.stat.descriptive.moment.Variance variance52 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d53 = variance52.getResult();
    variance52.setBiasCorrected(false);
    double d56 = variance52.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance57 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d58 = variance57.getResult();
    boolean b60 = variance57.equals((java.lang.Object)0.0d);
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    double d65 = variance57.evaluate(d_array63, Double.NaN);
    double d66 = variance52.evaluate(d_array63);
    // The following exception was thrown during execution in test generation
    try {
      double d69 = sum3.evaluate(d_array27, d_array63, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 20.25d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    double d16 = synchronizedSummaryStatistics0.getPopulationVariance();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics17 = synchronizedSummaryStatistics0.copy();
    double d18 = synchronizedSummaryStatistics0.getSum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(synchronizedSummaryStatistics17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)5.298342365610589d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary16 = synchronizedSummaryStatistics0.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = null;
    synchronizedSummaryStatistics0.setSumImpl(storelessUnivariateStatistic17);
    // The following exception was thrown during execution in test generation
    try {
      synchronizedSummaryStatistics0.clear();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary16);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.2326303196791324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1732961462972105d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    int i2 = org.apache.commons.math.util.FastMath.min(5, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(115.25724997282899d, (-8.536397166390258E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 115.25724997282899d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.44412615900130886d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.430687312621612d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance5);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = null;
    synchronizedSummaryStatistics0.setSumsqImpl(storelessUnivariateStatistic9);
    double d11 = synchronizedSummaryStatistics0.getVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs2 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array4 = new double[] { 10.0d };
    double d5 = sumOfLogs2.evaluate(d_array4);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d17 = variance8.evaluate(d_array11, d_array15);
    double d18 = mean1.evaluate(d_array4, d_array11);
    org.apache.commons.math.stat.descriptive.moment.Mean mean19 = mean1.copy();
    mean19.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = mean19.evaluate(d_array23, 5, 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = null;
    synchronizedSummaryStatistics0.setSumImpl(storelessUnivariateStatistic1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long5 = secondMoment4.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment4);
    synchronizedSummaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    double d9 = synchronizedSummaryStatistics0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 5, 5);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 5+ "'", number4.equals(5));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    int i1 = org.apache.commons.math.util.FastMath.round(7.629394E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSumOfLogs();
    double d3 = synchronizedSummaryStatistics0.getMin();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = synchronizedSummaryStatistics0.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = geometricMean5.getSumLogImpl();
    synchronizedSummaryStatistics0.setMinImpl(storelessUnivariateStatistic13);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics16 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = synchronizedSummaryStatistics16.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    variance18.incrementAll(d_array23);
    double[] d_array32 = new double[] { 1.0d, 10.0d, 1.0d };
    variance18.incrementAll(d_array32);
    synchronizedSummaryStatistics16.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    variance18.setBiasCorrected(true);
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    long long38 = variance18.getN();
    long long39 = variance18.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 4L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    variance0.setBiasCorrected(false);
    double d4 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    double[] d_array6 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d8 = variance7.getResult();
    boolean b10 = variance7.equals((java.lang.Object)0.0d);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    double d15 = variance7.evaluate(d_array13, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d18 = variance17.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean19 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array22 = new double[] { 10.0d };
    double d23 = sumOfLogs20.evaluate(d_array22);
    double d26 = geometricMean19.evaluate(d_array22, 0, 1);
    variance17.incrementAll(d_array22);
    secondMoment16.setData(d_array22);
    double d30 = variance7.evaluate(d_array22, 1.3444824314431956d);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = variance0.evaluate(d_array6, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    long long7 = synchronizedSummaryStatistics0.getN();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean16 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs17 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array19 = new double[] { 10.0d };
    double d20 = sumOfLogs17.evaluate(d_array19);
    double d23 = geometricMean16.evaluate(d_array19, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean8, geometricMean16);
    geometricMean16.increment(10.000000000000002d);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean16);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = geometricMean16.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d30 = variance29.getResult();
    boolean b32 = variance29.equals((java.lang.Object)0.0d);
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    double d37 = variance29.evaluate(d_array35, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs38 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array40 = new double[] { 10.0d };
    double d41 = sumOfLogs38.evaluate(d_array40);
    double d42 = variance29.evaluate(d_array40);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics43 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic44 = synchronizedSummaryStatistics43.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic45 = synchronizedSummaryStatistics43.getMinImpl();
    boolean b46 = variance29.equals((java.lang.Object)storelessUnivariateStatistic45);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean47 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs48 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array50 = new double[] { 10.0d };
    double d51 = sumOfLogs48.evaluate(d_array50);
    double d54 = geometricMean47.evaluate(d_array50, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean55 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean56 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean55);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs57 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array59 = new double[] { 10.0d };
    double d60 = sumOfLogs57.evaluate(d_array59);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance63 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment62);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs64 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array66 = new double[] { 10.0d };
    double d67 = sumOfLogs64.evaluate(d_array66);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs68 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array70 = new double[] { 10.0d };
    double d71 = sumOfLogs68.evaluate(d_array70);
    double d72 = variance63.evaluate(d_array66, d_array70);
    double d73 = mean56.evaluate(d_array59, d_array66);
    double d74 = variance29.evaluate(d_array50, d_array66);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = geometricMean16.evaluate(d_array66, 1024, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(byte)(-1));
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Number number4 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    mean1.increment(4.428417373264941E49d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    boolean b8 = variance5.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d11 = variance10.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d19 = geometricMean12.evaluate(d_array15, 0, 1);
    variance10.incrementAll(d_array15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d22 = variance21.getResult();
    variance21.setBiasCorrected(false);
    double d25 = variance21.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d27 = variance26.getResult();
    boolean b29 = variance26.equals((java.lang.Object)0.0d);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    double d34 = variance26.evaluate(d_array32, Double.NaN);
    double d35 = variance21.evaluate(d_array32);
    double d36 = variance10.evaluate(d_array32);
    double d38 = variance9.evaluate(d_array32, 2.302585092994046d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance40 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics41 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = synchronizedSummaryStatistics41.getVarianceImpl();
    double d43 = synchronizedSummaryStatistics41.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics44 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics41);
    double d45 = synchronizedSummaryStatistics44.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs46 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long47 = sumOfLogs46.getN();
    synchronizedSummaryStatistics44.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs46);
    double[] d_array51 = new double[] { 1.0d, 100.0d };
    sumOfLogs46.incrementAll(d_array51);
    double d53 = variance40.evaluate(d_array51);
    // The following exception was thrown during execution in test generation
    try {
      double d56 = mean1.evaluate(d_array32, d_array51, (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 4900.5d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, (-45.71103807304942d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    mean1.increment(4.428417373264941E49d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment6);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array10 = new double[] { 10.0d };
    double d11 = sumOfLogs8.evaluate(d_array10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs12 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array14 = new double[] { 10.0d };
    double d15 = sumOfLogs12.evaluate(d_array14);
    double d16 = variance7.evaluate(d_array10, d_array14);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs17 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array19 = new double[] { 10.0d };
    double d20 = sumOfLogs17.evaluate(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = mean4.evaluate(d_array10, d_array19, 6, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2.302585092994046d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.7156569716217094d, 0.9126365759632116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6366273773694384d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    variance3.incrementAll(d_array8);
    secondMoment2.setData(d_array8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment2);
    double[] d_array16 = secondMoment0.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d18 = secondMoment17.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d21 = variance20.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean22 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs23 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array25 = new double[] { 10.0d };
    double d26 = sumOfLogs23.evaluate(d_array25);
    double d29 = geometricMean22.evaluate(d_array25, 0, 1);
    variance20.incrementAll(d_array25);
    secondMoment19.setData(d_array25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment17, secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment17);
    // The following exception was thrown during execution in test generation
    try {
      double d34 = secondMoment0.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.000000000000002d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.8391889401033789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07614024846050013d));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.5968501485036166d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.7978081188791967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 5.29834236561059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    long long1 = org.apache.commons.math.util.FastMath.round(5.29834236561059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)100, (java.lang.Number)(byte)1, false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = sumOfLogs0.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d3 = variance2.getResult();
    boolean b5 = variance2.equals((java.lang.Object)0.0d);
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    double d10 = variance2.evaluate(d_array8, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d13 = variance12.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean14 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d21 = geometricMean14.evaluate(d_array17, 0, 1);
    variance12.incrementAll(d_array17);
    secondMoment11.setData(d_array17);
    double d25 = variance2.evaluate(d_array17, 1.3444824314431956d);
    // The following exception was thrown during execution in test generation
    try {
      sumOfLogs1.incrementAll(d_array17, 5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfLogs1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.5607966601082315d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1406048555436628d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d19 = geometricMean12.evaluate(d_array15, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean4, geometricMean12);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean21 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean12);
    synchronizedSummaryStatistics3.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean12);
    double d23 = synchronizedSummaryStatistics3.getStandardDeviation();
    synchronizedSummaryStatistics3.addValue(3.0d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics3.getSumsqImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics5 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics5.getVarianceImpl();
    double d7 = synchronizedSummaryStatistics5.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics8 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics9 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = synchronizedSummaryStatistics9.getVarianceImpl();
    double d11 = synchronizedSummaryStatistics9.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics9.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics9.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    synchronizedSummaryStatistics9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    synchronizedSummaryStatistics8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics20 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics20.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = synchronizedSummaryStatistics20.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = synchronizedSummaryStatistics20.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = synchronizedSummaryStatistics20.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d26 = variance25.getResult();
    synchronizedSummaryStatistics20.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance25);
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    variance25.setData(d_array30);
    sumOfLogs14.incrementAll(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = variance4.evaluate(d_array30, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.5651876360311817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares2 = sumOfSquares0.copy();
    long long3 = sumOfSquares2.getN();
    sumOfSquares2.increment(115.25724997282899d);
    sumOfSquares2.clear();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d10 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean11 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs12 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array14 = new double[] { 10.0d };
    double d15 = sumOfLogs12.evaluate(d_array14);
    double d18 = geometricMean11.evaluate(d_array14, 0, 1);
    variance9.incrementAll(d_array14);
    double[] d_array23 = new double[] { 1.0d, 10.0d, 1.0d };
    variance9.incrementAll(d_array23);
    synchronizedSummaryStatistics7.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d27 = variance26.getResult();
    boolean b29 = variance26.equals((java.lang.Object)0.0d);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    double d34 = variance26.evaluate(d_array32, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs35 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array37 = new double[] { 10.0d };
    double d38 = sumOfLogs35.evaluate(d_array37);
    double d39 = variance26.evaluate(d_array37);
    variance9.incrementAll(d_array37);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = sumOfSquares2.evaluate(d_array37, 127, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfSquares2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d2 = org.apache.commons.math.util.FastMath.max(115.0d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 115.0d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-8.536397166390258E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    double d8 = variance0.evaluate(d_array6, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d13 = variance0.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics14 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics14.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = synchronizedSummaryStatistics14.getMinImpl();
    boolean b17 = variance0.equals((java.lang.Object)storelessUnivariateStatistic16);
    double[] d_array18 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d20 = variance19.getResult();
    boolean b22 = variance19.equals((java.lang.Object)0.0d);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    double d27 = variance19.evaluate(d_array25, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs28 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array30 = new double[] { 10.0d };
    double d31 = sumOfLogs28.evaluate(d_array30);
    double d32 = variance19.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics33 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = synchronizedSummaryStatistics33.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics33.getMinImpl();
    boolean b36 = variance19.equals((java.lang.Object)storelessUnivariateStatistic35);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean37 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs38 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array40 = new double[] { 10.0d };
    double d41 = sumOfLogs38.evaluate(d_array40);
    double d44 = geometricMean37.evaluate(d_array40, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean46 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean45);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs47 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array49 = new double[] { 10.0d };
    double d50 = sumOfLogs47.evaluate(d_array49);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance53 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment52);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs54 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array56 = new double[] { 10.0d };
    double d57 = sumOfLogs54.evaluate(d_array56);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs58 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array60 = new double[] { 10.0d };
    double d61 = sumOfLogs58.evaluate(d_array60);
    double d62 = variance53.evaluate(d_array56, d_array60);
    double d63 = mean46.evaluate(d_array49, d_array56);
    double d64 = variance19.evaluate(d_array40, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      double d65 = variance0.evaluate(d_array18, d_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double d2 = org.apache.commons.math.util.FastMath.log(5.050000000000001d, 1.7156569716217094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3333333333333333d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(17.287896521417718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2213510084904775E7d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean2 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array5 = new double[] { 10.0d };
    double d6 = sumOfLogs3.evaluate(d_array5);
    double d9 = geometricMean2.evaluate(d_array5, 0, 1);
    variance0.incrementAll(d_array5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d12 = variance11.getResult();
    variance11.setBiasCorrected(false);
    double d15 = variance11.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d17 = variance16.getResult();
    boolean b19 = variance16.equals((java.lang.Object)0.0d);
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    double d24 = variance16.evaluate(d_array22, Double.NaN);
    double d25 = variance11.evaluate(d_array22);
    double d26 = variance0.evaluate(d_array22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d28 = variance27.getResult();
    boolean b30 = variance27.equals((java.lang.Object)0.0d);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    double d35 = variance27.evaluate(d_array33, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs36 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array38 = new double[] { 10.0d };
    double d39 = sumOfLogs36.evaluate(d_array38);
    double d40 = variance27.evaluate(d_array38);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics41 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = synchronizedSummaryStatistics41.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic43 = synchronizedSummaryStatistics41.getMinImpl();
    boolean b44 = variance27.equals((java.lang.Object)storelessUnivariateStatistic43);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean45 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs46 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array48 = new double[] { 10.0d };
    double d49 = sumOfLogs46.evaluate(d_array48);
    double d52 = geometricMean45.evaluate(d_array48, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean53 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean54 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean53);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs55 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array57 = new double[] { 10.0d };
    double d58 = sumOfLogs55.evaluate(d_array57);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance61 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment60);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs62 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array64 = new double[] { 10.0d };
    double d65 = sumOfLogs62.evaluate(d_array64);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs66 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array68 = new double[] { 10.0d };
    double d69 = sumOfLogs66.evaluate(d_array68);
    double d70 = variance61.evaluate(d_array64, d_array68);
    double d71 = mean54.evaluate(d_array57, d_array64);
    double d72 = variance27.evaluate(d_array48, d_array64);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = variance0.evaluate(d_array64, 115.0d, 10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267948966d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    double d2 = variance1.getResult();
    double[] d_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = variance1.evaluate(d_array3, 115.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.94042348121810176E17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(280777.9675038599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.238466665306818d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = null;
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean1 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(sumOfLogs0);
    // The following exception was thrown during execution in test generation
    try {
      geometricMean1.clear();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5430806348152437d, 4.428417373264941E49d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5430806348152437d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    org.apache.commons.math.stat.descriptive.rank.Max max1 = new org.apache.commons.math.stat.descriptive.rank.Max(max0);
    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = max1.evaluate(d_array2, 1024, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(10.000000000000002d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.0000004f);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10.0f, (java.lang.Number)1L, true);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (-1.0d) };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException9, localizable10, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException7, localizable8, obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException2, localizable3, obj_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.8945979383780784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.11138089250417747d));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    double d5 = synchronizedSummaryStatistics0.getPopulationVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.884825774580939d));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    double d1 = sumOfSquares0.getResult();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares2 = sumOfSquares0.copy();
    long long3 = sumOfSquares2.getN();
    sumOfSquares2.increment(115.25724997282899d);
    double d6 = sumOfSquares2.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sumOfSquares2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 13284.233671299187d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5713088006770572d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.0075709037239642075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9924576833787409d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, (-1));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = new org.apache.commons.math.stat.descriptive.SummaryStatistics(summaryStatistics0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.2184249125858766d, (-8.536397166390258E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.536397166390258E29d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(8.536397166390258E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array2 = new double[] { 10.0d };
    double d3 = sumOfLogs0.evaluate(d_array2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean7 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array10 = new double[] { 10.0d };
    double d11 = sumOfLogs8.evaluate(d_array10);
    double d14 = geometricMean7.evaluate(d_array10, 0, 1);
    variance5.incrementAll(d_array10);
    secondMoment4.setData(d_array10);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = sumOfLogs0.evaluate(d_array10, 0, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.000000000000002d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(17.287896521417718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999582585758726d));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.366091136789936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3505679493924975d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 5, 5);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math.exception.DimensionMismatchException(10, (-1));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = dimensionMismatchException6.getContext();
    java.lang.Number number8 = dimensionMismatchException6.getArgument();
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)dimensionMismatchException6);
    int i10 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10+ "'", number8.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 5);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(13284.233671299187d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.291904389212817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.979774794999368d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d19 = geometricMean12.evaluate(d_array15, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean4, geometricMean12);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean21 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean12);
    synchronizedSummaryStatistics3.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean12);
    double d23 = synchronizedSummaryStatistics3.getStandardDeviation();
    synchronizedSummaryStatistics3.addValue(3.0d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics3.getMinImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics27 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = synchronizedSummaryStatistics27.getVarianceImpl();
    double d29 = synchronizedSummaryStatistics27.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics30 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics27);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics31 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = synchronizedSummaryStatistics31.getVarianceImpl();
    double d33 = synchronizedSummaryStatistics31.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = synchronizedSummaryStatistics31.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics31.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs36 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array38 = new double[] { 10.0d };
    double d39 = sumOfLogs36.evaluate(d_array38);
    synchronizedSummaryStatistics31.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs36);
    synchronizedSummaryStatistics30.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs36);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics42 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic43 = synchronizedSummaryStatistics42.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic44 = synchronizedSummaryStatistics42.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic45 = synchronizedSummaryStatistics42.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic46 = synchronizedSummaryStatistics42.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance47 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d48 = variance47.getResult();
    synchronizedSummaryStatistics42.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance47);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    variance47.setData(d_array52);
    sumOfLogs36.incrementAll(d_array52);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs55 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs36);
    // The following exception was thrown during execution in test generation
    try {
      synchronizedSummaryStatistics3.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d17 = variance16.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean18 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs19 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array21 = new double[] { 10.0d };
    double d22 = sumOfLogs19.evaluate(d_array21);
    double d25 = geometricMean18.evaluate(d_array21, 0, 1);
    variance16.incrementAll(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = sumOfLogs10.evaluate(d_array21, 0, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.000000000000002d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027415567780803774d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    boolean b8 = variance5.equals((java.lang.Object)0.0d);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    double d13 = variance5.evaluate(d_array11, Double.NaN);
    double d14 = variance3.evaluate(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = min0.evaluate(d_array11, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 40.5d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.085536923187668d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(7.629394E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.0f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-48.21273601220948d));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = sum0.getData();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    variance3.setBiasCorrected(false);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    boolean b11 = variance8.equals((java.lang.Object)0.0d);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    double d16 = variance8.evaluate(d_array14, Double.NaN);
    double d17 = variance3.evaluate(d_array14);
    double[] d_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = sum0.evaluate(d_array14, d_array18, 10, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 20.25d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics10 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics10.getVarianceImpl();
    double d12 = synchronizedSummaryStatistics10.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics13 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics10);
    double d14 = synchronizedSummaryStatistics13.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long16 = sumOfLogs15.getN();
    synchronizedSummaryStatistics13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs15);
    double[] d_array20 = new double[] { 1.0d, 100.0d };
    sumOfLogs15.incrementAll(d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = sumOfLogs5.evaluate(d_array20, 6, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.44833696677722196d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6695796941195439d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-7.7526054133393485d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10120266693748199d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-8.536397166390258E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-9223372036854775808L));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.19355357890317634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = null;
    synchronizedSummaryStatistics0.setSumImpl(storelessUnivariateStatistic1);
    double d3 = synchronizedSummaryStatistics0.getSumsq();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = synchronizedSummaryStatistics0.getSum();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.5968501485036166d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.210365907424666d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(3.3866778630266225E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.366091136789936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.37432353167224075d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 1);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.3505679493924975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4198737360605642d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.rank.Min min3 = min0.copy();
    org.apache.commons.math.stat.descriptive.rank.Min min4 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min4.clear();
    long long6 = min4.getN();
    org.apache.commons.math.stat.descriptive.rank.Min.copy(min0, min4);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean8);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment15);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs17 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array19 = new double[] { 10.0d };
    double d20 = sumOfLogs17.evaluate(d_array19);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d25 = variance16.evaluate(d_array19, d_array23);
    double d26 = mean9.evaluate(d_array12, d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = min4.evaluate(d_array12, 127, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(min3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean0, geometricMean8);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean17 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean8);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = geometricMean17.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics19 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic20 = synchronizedSummaryStatistics19.getVarianceImpl();
    double d21 = synchronizedSummaryStatistics19.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics22 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics19);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics23 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = synchronizedSummaryStatistics23.getVarianceImpl();
    double d25 = synchronizedSummaryStatistics23.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics23.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = synchronizedSummaryStatistics23.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs28 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array30 = new double[] { 10.0d };
    double d31 = sumOfLogs28.evaluate(d_array30);
    synchronizedSummaryStatistics23.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs28);
    synchronizedSummaryStatistics22.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs28);
    geometricMean17.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs28);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs35 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean36 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(sumOfLogs35);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean37 = geometricMean36.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean38 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean36);
    geometricMean38.increment(40.5d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics43 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic44 = synchronizedSummaryStatistics43.getVarianceImpl();
    double d45 = synchronizedSummaryStatistics43.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics46 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics43);
    double d47 = synchronizedSummaryStatistics46.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs48 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long49 = sumOfLogs48.getN();
    synchronizedSummaryStatistics46.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs48);
    double[] d_array53 = new double[] { 1.0d, 100.0d };
    sumOfLogs48.incrementAll(d_array53);
    double d55 = variance42.evaluate(d_array53);
    double d58 = geometricMean38.evaluate(d_array53, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d61 = sumOfLogs28.evaluate(d_array53, 5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(geometricMean37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.14180066715986062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1427587896761223d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.6695796941195439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(115.25724997282899d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 115.25724997282899d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.3025850929940463d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.3333333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    long long2 = org.apache.commons.math.util.FastMath.max(4L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.2184249125858766d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2184249125858766d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics2 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics2.getVarianceImpl();
    double d4 = synchronizedSummaryStatistics2.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics5 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics2);
    double d6 = synchronizedSummaryStatistics5.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long8 = sumOfLogs7.getN();
    synchronizedSummaryStatistics5.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs7);
    double[] d_array12 = new double[] { 1.0d, 100.0d };
    sumOfLogs7.incrementAll(d_array12);
    double d14 = variance1.evaluate(d_array12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    boolean b18 = variance15.equals((java.lang.Object)0.0d);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    double d23 = variance15.evaluate(d_array21, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs24 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array26 = new double[] { 10.0d };
    double d27 = sumOfLogs24.evaluate(d_array26);
    double d28 = variance15.evaluate(d_array26);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = variance1.evaluate(d_array26, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.536743E-7f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9073486E-6f);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.4503149199449435d, 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1592912356292262d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.6695796941195439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    variance3.incrementAll(d_array8);
    secondMoment2.setData(d_array8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    secondMoment16.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    double d8 = variance0.evaluate(d_array6, Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d11 = variance10.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d19 = geometricMean12.evaluate(d_array15, 0, 1);
    variance10.incrementAll(d_array15);
    secondMoment9.setData(d_array15);
    double d23 = variance0.evaluate(d_array15, 1.3444824314431956d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d25 = secondMoment24.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d28 = variance27.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean29 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs30 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array32 = new double[] { 10.0d };
    double d33 = sumOfLogs30.evaluate(d_array32);
    double d36 = geometricMean29.evaluate(d_array32, 0, 1);
    variance27.incrementAll(d_array32);
    secondMoment26.setData(d_array32);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment24, secondMoment26);
    double[] d_array40 = secondMoment24.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d42 = secondMoment41.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance44 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d45 = variance44.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean46 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs47 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array49 = new double[] { 10.0d };
    double d50 = sumOfLogs47.evaluate(d_array49);
    double d53 = geometricMean46.evaluate(d_array49, 0, 1);
    variance44.incrementAll(d_array49);
    secondMoment43.setData(d_array49);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment41, secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment24, secondMoment41);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic58 = secondMoment41.copy();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics59 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic60 = synchronizedSummaryStatistics59.getVarianceImpl();
    double d61 = synchronizedSummaryStatistics59.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics62 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics59);
    double d63 = synchronizedSummaryStatistics62.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs64 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long65 = sumOfLogs64.getN();
    synchronizedSummaryStatistics62.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs64);
    double[] d_array69 = new double[] { 1.0d, 100.0d };
    sumOfLogs64.incrementAll(d_array69);
    secondMoment41.setData(d_array69);
    // The following exception was thrown during execution in test generation
    try {
      double d75 = variance0.evaluate(d_array69, (-57.29577951308232d), 10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long65 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary4 = synchronizedSummaryStatistics0.getSummary();
    double d5 = synchronizedSummaryStatistics0.getPopulationVariance();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics0.getSumsqImpl();
    double d7 = synchronizedSummaryStatistics0.getSum();
    double d8 = synchronizedSummaryStatistics0.getPopulationVariance();
    java.lang.String str9 = synchronizedSummaryStatistics0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 0.0\nstandard deviation: NaN\nsum of logs: 0.0\n"+ "'", str9.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: 0.0\nstandard deviation: NaN\nsum of logs: 0.0\n"));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(32.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.505149978319906d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.6734029996004699d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    variance3.clear();
    long long5 = variance3.getN();
    variance3.setBiasCorrected(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.5430806348152435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.678982327128294d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.3205004784536853d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.097099930721329d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    int i2 = org.apache.commons.math.util.FastMath.min(5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum0.increment(0.9126365759632116d);
    sum0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.3084559942896059E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3084559942896059E-25d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    double d2 = mean1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = mean1.copy();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics4 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics4.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics4.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = synchronizedSummaryStatistics4.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics4.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d10 = variance9.getResult();
    synchronizedSummaryStatistics4.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    variance9.setData(d_array14);
    double d16 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d18 = variance17.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean19 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array22 = new double[] { 10.0d };
    double d23 = sumOfLogs20.evaluate(d_array22);
    double d26 = geometricMean19.evaluate(d_array22, 0, 1);
    variance17.incrementAll(d_array22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d29 = variance28.getResult();
    variance28.setBiasCorrected(false);
    double d32 = variance28.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d34 = variance33.getResult();
    boolean b36 = variance33.equals((java.lang.Object)0.0d);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    double d41 = variance33.evaluate(d_array39, Double.NaN);
    double d42 = variance28.evaluate(d_array39);
    double d43 = variance17.evaluate(d_array39);
    double d44 = variance9.evaluate(d_array39);
    // The following exception was thrown during execution in test generation
    try {
      double d47 = mean3.evaluate(d_array39, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 40.5d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment12);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs18 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array20 = new double[] { 10.0d };
    double d21 = sumOfLogs18.evaluate(d_array20);
    double d22 = variance13.evaluate(d_array16, d_array20);
    double d23 = mean6.evaluate(d_array9, d_array16);
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean25 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean24);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs26 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array28 = new double[] { 10.0d };
    double d29 = sumOfLogs26.evaluate(d_array28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment31);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs33 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array35 = new double[] { 10.0d };
    double d36 = sumOfLogs33.evaluate(d_array35);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs37 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array39 = new double[] { 10.0d };
    double d40 = sumOfLogs37.evaluate(d_array39);
    double d41 = variance32.evaluate(d_array35, d_array39);
    double d42 = mean25.evaluate(d_array28, d_array35);
    double d43 = variance4.evaluate(d_array16, d_array35);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d46 = variance45.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean47 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs48 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array50 = new double[] { 10.0d };
    double d51 = sumOfLogs48.evaluate(d_array50);
    double d54 = geometricMean47.evaluate(d_array50, 0, 1);
    variance45.incrementAll(d_array50);
    secondMoment44.setData(d_array50);
    org.apache.commons.math.stat.descriptive.moment.Variance variance57 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d58 = variance57.getResult();
    boolean b60 = variance57.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance61 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance62 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d63 = variance62.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean64 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs65 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array67 = new double[] { 10.0d };
    double d68 = sumOfLogs65.evaluate(d_array67);
    double d71 = geometricMean64.evaluate(d_array67, 0, 1);
    variance62.incrementAll(d_array67);
    org.apache.commons.math.stat.descriptive.moment.Variance variance73 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d74 = variance73.getResult();
    variance73.setBiasCorrected(false);
    double d77 = variance73.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance78 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d79 = variance78.getResult();
    boolean b81 = variance78.equals((java.lang.Object)0.0d);
    double[] d_array84 = new double[] { 10.0d, 1.0d };
    double d86 = variance78.evaluate(d_array84, Double.NaN);
    double d87 = variance73.evaluate(d_array84);
    double d88 = variance62.evaluate(d_array84);
    double d90 = variance61.evaluate(d_array84, 2.302585092994046d);
    secondMoment44.setData(d_array84, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = variance4.evaluate(d_array84, (-127), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 40.5d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs2 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean3 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(sumOfLogs2);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = geometricMean3.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean3);
    geometricMean5.increment(40.5d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics10 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = synchronizedSummaryStatistics10.getVarianceImpl();
    double d12 = synchronizedSummaryStatistics10.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics13 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics10);
    double d14 = synchronizedSummaryStatistics13.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long16 = sumOfLogs15.getN();
    synchronizedSummaryStatistics13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs15);
    double[] d_array20 = new double[] { 1.0d, 100.0d };
    sumOfLogs15.incrementAll(d_array20);
    double d22 = variance9.evaluate(d_array20);
    double d25 = geometricMean5.evaluate(d_array20, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = variance1.evaluate(d_array20, (-1163.814263599233d), 1, 127);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(geometricMean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics3.getSumImpl();
    synchronizedSummaryStatistics3.addValue(0.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long10 = secondMoment9.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment9);
    secondMoment9.increment(3.8212977905417654E24d);
    // The following exception was thrown during execution in test generation
    try {
      synchronizedSummaryStatistics3.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    variance3.clear();
    long long5 = variance3.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    boolean b11 = variance8.equals((java.lang.Object)0.0d);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    double d16 = variance8.evaluate(d_array14, Double.NaN);
    double d17 = variance6.evaluate(d_array14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    boolean b21 = variance18.equals((java.lang.Object)0.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    double d26 = variance18.evaluate(d_array24, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs27 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array29 = new double[] { 10.0d };
    double d30 = sumOfLogs27.evaluate(d_array29);
    double d31 = variance18.evaluate(d_array29);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics32 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic33 = synchronizedSummaryStatistics32.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = synchronizedSummaryStatistics32.getMinImpl();
    boolean b35 = variance18.equals((java.lang.Object)storelessUnivariateStatistic34);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean36 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs37 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array39 = new double[] { 10.0d };
    double d40 = sumOfLogs37.evaluate(d_array39);
    double d43 = geometricMean36.evaluate(d_array39, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean44 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean44);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs46 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array48 = new double[] { 10.0d };
    double d49 = sumOfLogs46.evaluate(d_array48);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment51 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance52 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment51);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs53 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array55 = new double[] { 10.0d };
    double d56 = sumOfLogs53.evaluate(d_array55);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs57 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array59 = new double[] { 10.0d };
    double d60 = sumOfLogs57.evaluate(d_array59);
    double d61 = variance52.evaluate(d_array55, d_array59);
    double d62 = mean45.evaluate(d_array48, d_array55);
    double d63 = variance18.evaluate(d_array39, d_array55);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = variance3.evaluate(d_array14, d_array39, 1024, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    variance3.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    variance5.setBiasCorrected(false);
    double[] d_array9 = variance5.getData();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance5);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean11);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment18);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array22 = new double[] { 10.0d };
    double d23 = sumOfLogs20.evaluate(d_array22);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs24 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array26 = new double[] { 10.0d };
    double d27 = sumOfLogs24.evaluate(d_array26);
    double d28 = variance19.evaluate(d_array22, d_array26);
    double d29 = mean12.evaluate(d_array15, d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = variance3.evaluate(d_array22, 127, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    sum0.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean7 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array10 = new double[] { 10.0d };
    double d11 = sumOfLogs8.evaluate(d_array10);
    double d14 = geometricMean7.evaluate(d_array10, 0, 1);
    variance5.incrementAll(d_array10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d17 = variance16.getResult();
    variance16.setBiasCorrected(false);
    double d20 = variance16.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d22 = variance21.getResult();
    boolean b24 = variance21.equals((java.lang.Object)0.0d);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    double d29 = variance21.evaluate(d_array27, Double.NaN);
    double d30 = variance16.evaluate(d_array27);
    double d31 = variance5.evaluate(d_array27);
    double d33 = variance4.evaluate(d_array27, 2.302585092994046d);
    double[] d_array34 = null;
    double[] d_array36 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      double d37 = variance4.evaluate(d_array34, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = geometricMean5.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean14 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    variance15.setBiasCorrected(false);
    double d19 = variance15.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d21 = variance20.getResult();
    boolean b23 = variance20.equals((java.lang.Object)0.0d);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    double d28 = variance20.evaluate(d_array26, Double.NaN);
    double d29 = variance15.evaluate(d_array26);
    geometricMean14.incrementAll(d_array26);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = variance0.evaluate(d_array26, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 20.25d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(20.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.229644421984454E8d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.37432353167224075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.31796163309251657d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(10.118354502859733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24792.93889431121d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-8.536397166390258E29d));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.9378504111190931d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.7782110759965004d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.0f), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(280777.9675038599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9538125924620215d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs1 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array3 = new double[] { 10.0d };
    double d4 = sumOfLogs1.evaluate(d_array3);
    double d7 = geometricMean0.evaluate(d_array3, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean0, geometricMean8);
    geometricMean8.increment(10.000000000000002d);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics19 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic20 = synchronizedSummaryStatistics19.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics19.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = synchronizedSummaryStatistics19.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = synchronizedSummaryStatistics19.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d25 = variance24.getResult();
    synchronizedSummaryStatistics19.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance24);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    variance24.setData(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      geometricMean8.incrementAll(d_array29, 10, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1163.814263599233d), number1, true);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-0.9378504111190931d), 13.238466665306818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    long long4 = synchronizedSummaryStatistics0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum5.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum5.copy();
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum8);
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics14 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics14.getVarianceImpl();
    double d16 = synchronizedSummaryStatistics14.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics17 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics14);
    double d18 = synchronizedSummaryStatistics17.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs19 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long20 = sumOfLogs19.getN();
    synchronizedSummaryStatistics17.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs19);
    double[] d_array24 = new double[] { 1.0d, 100.0d };
    sumOfLogs19.incrementAll(d_array24);
    double d26 = variance13.evaluate(d_array24);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics27 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = synchronizedSummaryStatistics27.getVarianceImpl();
    double d29 = synchronizedSummaryStatistics27.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic30 = synchronizedSummaryStatistics27.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = synchronizedSummaryStatistics27.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.rank.Min min32 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min32.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.rank.Min min35 = min32.copy();
    org.apache.commons.math.stat.descriptive.rank.Min min36 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min36.clear();
    long long38 = min36.getN();
    org.apache.commons.math.stat.descriptive.rank.Min.copy(min32, min36);
    synchronizedSummaryStatistics27.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min36);
    org.apache.commons.math.stat.descriptive.rank.Min min41 = min36.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d43 = variance42.getResult();
    boolean b45 = variance42.equals((java.lang.Object)0.0d);
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    double d50 = variance42.evaluate(d_array48, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs51 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array53 = new double[] { 10.0d };
    double d54 = sumOfLogs51.evaluate(d_array53);
    double d55 = variance42.evaluate(d_array53);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics56 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic57 = synchronizedSummaryStatistics56.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic58 = synchronizedSummaryStatistics56.getMinImpl();
    boolean b59 = variance42.equals((java.lang.Object)storelessUnivariateStatistic58);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean60 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs61 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array63 = new double[] { 10.0d };
    double d64 = sumOfLogs61.evaluate(d_array63);
    double d67 = geometricMean60.evaluate(d_array63, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean68 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean69 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean68);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs70 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array72 = new double[] { 10.0d };
    double d73 = sumOfLogs70.evaluate(d_array72);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment75 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance76 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment75);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs77 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array79 = new double[] { 10.0d };
    double d80 = sumOfLogs77.evaluate(d_array79);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs81 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array83 = new double[] { 10.0d };
    double d84 = sumOfLogs81.evaluate(d_array83);
    double d85 = variance76.evaluate(d_array79, d_array83);
    double d86 = mean69.evaluate(d_array72, d_array79);
    double d87 = variance42.evaluate(d_array63, d_array79);
    double d90 = min41.evaluate(d_array79, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d91 = sum10.evaluate(d_array24, d_array79);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(min35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(min41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = sum0.getData();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics4 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics4.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d7 = variance6.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    double d15 = geometricMean8.evaluate(d_array11, 0, 1);
    variance6.incrementAll(d_array11);
    double[] d_array20 = new double[] { 1.0d, 10.0d, 1.0d };
    variance6.incrementAll(d_array20);
    synchronizedSummaryStatistics4.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance6);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics23 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = synchronizedSummaryStatistics23.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = synchronizedSummaryStatistics23.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics23.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = synchronizedSummaryStatistics23.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d29 = variance28.getResult();
    synchronizedSummaryStatistics23.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance28);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    variance28.setData(d_array33);
    double d35 = variance6.evaluate(d_array33);
    // The following exception was thrown during execution in test generation
    try {
      sum3.incrementAll(d_array33, 5, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 40.5d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance1.increment(3.8212977905417654E24d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean4);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment11);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs17 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array19 = new double[] { 10.0d };
    double d20 = sumOfLogs17.evaluate(d_array19);
    double d21 = variance12.evaluate(d_array15, d_array19);
    double d22 = mean5.evaluate(d_array8, d_array15);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean23 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs24 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array26 = new double[] { 10.0d };
    double d27 = sumOfLogs24.evaluate(d_array26);
    double d30 = geometricMean23.evaluate(d_array26, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = geometricMean23.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean32 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d34 = variance33.getResult();
    variance33.setBiasCorrected(false);
    double d37 = variance33.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d39 = variance38.getResult();
    boolean b41 = variance38.equals((java.lang.Object)0.0d);
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    double d46 = variance38.evaluate(d_array44, Double.NaN);
    double d47 = variance33.evaluate(d_array44);
    geometricMean32.incrementAll(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = variance1.evaluate(d_array8, d_array44, 1.0187900451718068d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 20.25d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(40.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0187900451718068d, (-1163.814263599233d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1407172649502124d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.17453292519943298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41777137910516676d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.clear();
    double d2 = sum0.getResult();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics3.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = synchronizedSummaryStatistics3.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    synchronizedSummaryStatistics3.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    variance8.setData(d_array13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d16 = variance15.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean17 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs18 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array20 = new double[] { 10.0d };
    double d21 = sumOfLogs18.evaluate(d_array20);
    double d24 = geometricMean17.evaluate(d_array20, 0, 1);
    variance15.incrementAll(d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double d28 = sum0.evaluate(d_array13, d_array20, 10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 10.000000000000002d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.rank.Min min3 = min0.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array9 = new double[] { 10.0d };
    double d10 = sumOfLogs7.evaluate(d_array9);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs11 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array13 = new double[] { 10.0d };
    double d14 = sumOfLogs11.evaluate(d_array13);
    double d15 = variance6.evaluate(d_array9, d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = min0.evaluate(d_array13, 100, 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(min3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.6734029996004699d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4900298067606627d));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    long long2 = mean1.getN();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = synchronizedSummaryStatistics3.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics3.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = synchronizedSummaryStatistics3.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    synchronizedSummaryStatistics3.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    variance8.setData(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = mean1.evaluate(d_array13, 6, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(2.2326303196791324d, 0.366091136789936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4082696337647103d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d1 = variance0.getResult();
    boolean b3 = variance0.equals((java.lang.Object)0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = variance0.copy();
    double[] d_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = variance0.evaluate(d_array6, 1.4082696337647103d, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance5);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    sum0.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = sum5.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d14 = variance13.getResult();
    boolean b16 = variance13.equals((java.lang.Object)0.0d);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    double d21 = variance13.evaluate(d_array19, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs22 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array24 = new double[] { 10.0d };
    double d25 = sumOfLogs22.evaluate(d_array24);
    double d26 = variance13.evaluate(d_array24);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics27 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = synchronizedSummaryStatistics27.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic29 = synchronizedSummaryStatistics27.getMinImpl();
    boolean b30 = variance13.equals((java.lang.Object)storelessUnivariateStatistic29);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean31 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs32 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array34 = new double[] { 10.0d };
    double d35 = sumOfLogs32.evaluate(d_array34);
    double d38 = geometricMean31.evaluate(d_array34, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean39 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean40 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean39);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs41 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array43 = new double[] { 10.0d };
    double d44 = sumOfLogs41.evaluate(d_array43);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance47 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment46);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs48 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array50 = new double[] { 10.0d };
    double d51 = sumOfLogs48.evaluate(d_array50);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs52 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array54 = new double[] { 10.0d };
    double d55 = sumOfLogs52.evaluate(d_array54);
    double d56 = variance47.evaluate(d_array50, d_array54);
    double d57 = mean40.evaluate(d_array43, d_array50);
    double d58 = variance13.evaluate(d_array34, d_array50);
    double d59 = variance12.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics60 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic61 = synchronizedSummaryStatistics60.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic62 = synchronizedSummaryStatistics60.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic63 = synchronizedSummaryStatistics60.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = synchronizedSummaryStatistics60.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance65 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d66 = variance65.getResult();
    synchronizedSummaryStatistics60.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance65);
    double[] d_array70 = new double[] { 10.0d, 1.0d };
    variance65.setData(d_array70);
    // The following exception was thrown during execution in test generation
    try {
      double d72 = sum6.evaluate(d_array34, d_array70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d4 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    variance3.incrementAll(d_array8);
    secondMoment2.setData(d_array8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = secondMoment16.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.19355357890317634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum0.copy();
    sum3.clear();
    double d5 = sum3.getResult();
    double[] d_array6 = null;
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean7);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array11 = new double[] { 10.0d };
    double d12 = sumOfLogs9.evaluate(d_array11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment14);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs16 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array18 = new double[] { 10.0d };
    double d19 = sumOfLogs16.evaluate(d_array18);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array22 = new double[] { 10.0d };
    double d23 = sumOfLogs20.evaluate(d_array22);
    double d24 = variance15.evaluate(d_array18, d_array22);
    double d25 = mean8.evaluate(d_array11, d_array18);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = sum3.evaluate(d_array6, d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7921204236492381d));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-1163.814263599233d), 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    double d4 = synchronizedSummaryStatistics0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics5 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = synchronizedSummaryStatistics5.getVarianceImpl();
    double d7 = synchronizedSummaryStatistics5.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics8 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics9 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = synchronizedSummaryStatistics9.getVarianceImpl();
    double d11 = synchronizedSummaryStatistics9.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = synchronizedSummaryStatistics9.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = synchronizedSummaryStatistics9.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array16 = new double[] { 10.0d };
    double d17 = sumOfLogs14.evaluate(d_array16);
    synchronizedSummaryStatistics9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    synchronizedSummaryStatistics8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs21);
    double d23 = synchronizedSummaryStatistics0.getMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = null;
    synchronizedSummaryStatistics0.setSumImpl(storelessUnivariateStatistic24);
    double d26 = synchronizedSummaryStatistics0.getSumsq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10.0f, (java.lang.Number)(byte)0, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (-1.0d) };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable4, obj_array9);
    java.lang.Number number14 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (byte)0+ "'", number14.equals((byte)0));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.94042348121810176E17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.999999f, 1.0000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.9073486E-6f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9073486E-6f);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.14180066715986062d, (-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.174139315504894d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    mean1.increment(4.428417373264941E49d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean5);
    double d7 = mean5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d9 = variance8.getResult();
    boolean b11 = variance8.equals((java.lang.Object)0.0d);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    double d16 = variance8.evaluate(d_array14, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs17 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean18 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(sumOfLogs17);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean19 = geometricMean18.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean18);
    geometricMean20.increment(40.5d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics25 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics25.getVarianceImpl();
    double d27 = synchronizedSummaryStatistics25.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics28 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics25);
    double d29 = synchronizedSummaryStatistics28.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs30 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long31 = sumOfLogs30.getN();
    synchronizedSummaryStatistics28.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs30);
    double[] d_array35 = new double[] { 1.0d, 100.0d };
    sumOfLogs30.incrementAll(d_array35);
    double d37 = variance24.evaluate(d_array35);
    double d40 = geometricMean20.evaluate(d_array35, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = mean5.evaluate(d_array14, d_array35, 3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.428417373264941E49d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(geometricMean19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 4900.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(11013.232920103343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11013.232920103343d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    variance4.setBiasCorrected(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    double d4 = synchronizedSummaryStatistics3.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long6 = sumOfLogs5.getN();
    synchronizedSummaryStatistics3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs8 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs(sumOfLogs5);
    double d10 = sumOfLogs9.getResult();
    long long11 = sumOfLogs9.getN();
    double[] d_array12 = null;
    // The following exception was thrown during execution in test generation
    try {
      sumOfLogs9.setData(d_array12, 0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    long long7 = geometricMean5.getN();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean8 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean5);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d10 = secondMoment9.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d13 = variance12.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean14 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array17 = new double[] { 10.0d };
    double d18 = sumOfLogs15.evaluate(d_array17);
    double d21 = geometricMean14.evaluate(d_array17, 0, 1);
    variance12.incrementAll(d_array17);
    secondMoment11.setData(d_array17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment9, secondMoment11);
    double[] d_array25 = secondMoment9.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d27 = secondMoment26.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d30 = variance29.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean31 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs32 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array34 = new double[] { 10.0d };
    double d35 = sumOfLogs32.evaluate(d_array34);
    double d38 = geometricMean31.evaluate(d_array34, 0, 1);
    variance29.incrementAll(d_array34);
    secondMoment28.setData(d_array34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment26, secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment9, secondMoment26);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic43 = secondMoment26.copy();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics44 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic45 = synchronizedSummaryStatistics44.getVarianceImpl();
    double d46 = synchronizedSummaryStatistics44.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics47 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics44);
    double d48 = synchronizedSummaryStatistics47.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs49 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long50 = sumOfLogs49.getN();
    synchronizedSummaryStatistics47.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs49);
    double[] d_array54 = new double[] { 1.0d, 100.0d };
    sumOfLogs49.incrementAll(d_array54);
    secondMoment26.setData(d_array54);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = geometricMean5.evaluate(d_array54, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d3 = variance2.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    variance2.incrementAll(d_array7);
    double[] d_array16 = new double[] { 1.0d, 10.0d, 1.0d };
    variance2.incrementAll(d_array16);
    synchronizedSummaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance2);
    long long19 = synchronizedSummaryStatistics0.getN();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics20 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics20.getVarianceImpl();
    double d22 = synchronizedSummaryStatistics20.getSumOfLogs();
    double d23 = synchronizedSummaryStatistics20.getMin();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics24 = synchronizedSummaryStatistics20.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean25 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs26 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array28 = new double[] { 10.0d };
    double d29 = sumOfLogs26.evaluate(d_array28);
    double d32 = geometricMean25.evaluate(d_array28, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic33 = geometricMean25.getSumLogImpl();
    synchronizedSummaryStatistics20.setMinImpl(storelessUnivariateStatistic33);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic35 = synchronizedSummaryStatistics20.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics36 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic37 = synchronizedSummaryStatistics36.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d39 = variance38.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean40 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs41 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array43 = new double[] { 10.0d };
    double d44 = sumOfLogs41.evaluate(d_array43);
    double d47 = geometricMean40.evaluate(d_array43, 0, 1);
    variance38.incrementAll(d_array43);
    double[] d_array52 = new double[] { 1.0d, 10.0d, 1.0d };
    variance38.incrementAll(d_array52);
    synchronizedSummaryStatistics36.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance38);
    variance38.setBiasCorrected(true);
    synchronizedSummaryStatistics20.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance38);
    org.apache.commons.math.stat.descriptive.SummaryStatistics.copy((org.apache.commons.math.stat.descriptive.SummaryStatistics)synchronizedSummaryStatistics0, (org.apache.commons.math.stat.descriptive.SummaryStatistics)synchronizedSummaryStatistics20);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic59 = synchronizedSummaryStatistics0.getGeoMeanImpl();
    double d60 = synchronizedSummaryStatistics0.getSumsq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean5);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics7 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = synchronizedSummaryStatistics7.getVarianceImpl();
    double d9 = synchronizedSummaryStatistics7.getSum();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array12 = new double[] { 10.0d };
    double d13 = sumOfLogs10.evaluate(d_array12);
    synchronizedSummaryStatistics7.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    synchronizedSummaryStatistics0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    double d16 = synchronizedSummaryStatistics0.getPopulationVariance();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics17 = synchronizedSummaryStatistics0.copy();
    long long18 = synchronizedSummaryStatistics17.getN();
    double d19 = synchronizedSummaryStatistics17.getPopulationVariance();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary20 = synchronizedSummaryStatistics17.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = synchronizedSummaryStatistics17.getMaxImpl();
    org.apache.commons.math.stat.descriptive.rank.Min min22 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min22.clear();
    long long24 = min22.getN();
    synchronizedSummaryStatistics17.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min22);
    min22.clear();
    min22.increment(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(synchronizedSummaryStatistics17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.1406048555436628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1406048555436628d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    sum0.increment(4.641588833612779d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double[] d_array4 = null;
    // The following exception was thrown during execution in test generation
    try {
      sum0.setData(d_array4, (-127), 6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(5.050000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics3.getVarianceImpl();
    double d5 = synchronizedSummaryStatistics3.getSumOfLogs();
    boolean b6 = synchronizedSummaryStatistics0.equals((java.lang.Object)synchronizedSummaryStatistics3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean7);
    mean8.increment(4.428417373264941E49d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = mean8.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean12);
    synchronizedSummaryStatistics3.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)mean11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d16 = secondMoment15.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    variance18.incrementAll(d_array23);
    secondMoment17.setData(d_array23);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment15, secondMoment17);
    double[] d_array31 = secondMoment15.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d33 = secondMoment32.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d36 = variance35.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean37 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs38 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array40 = new double[] { 10.0d };
    double d41 = sumOfLogs38.evaluate(d_array40);
    double d44 = geometricMean37.evaluate(d_array40, 0, 1);
    variance35.incrementAll(d_array40);
    secondMoment34.setData(d_array40);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment32, secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment15, secondMoment32);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic49 = secondMoment32.copy();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics50 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic51 = synchronizedSummaryStatistics50.getVarianceImpl();
    double d52 = synchronizedSummaryStatistics50.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics53 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics50);
    double d54 = synchronizedSummaryStatistics53.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs55 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long56 = sumOfLogs55.getN();
    synchronizedSummaryStatistics53.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs55);
    double[] d_array60 = new double[] { 1.0d, 100.0d };
    sumOfLogs55.incrementAll(d_array60);
    secondMoment32.setData(d_array60);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics63 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = synchronizedSummaryStatistics63.getVarianceImpl();
    double d65 = synchronizedSummaryStatistics63.getSumOfLogs();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics66 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics63);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics67 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic68 = synchronizedSummaryStatistics67.getVarianceImpl();
    double d69 = synchronizedSummaryStatistics67.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic70 = synchronizedSummaryStatistics67.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic71 = synchronizedSummaryStatistics67.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs72 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array74 = new double[] { 10.0d };
    double d75 = sumOfLogs72.evaluate(d_array74);
    synchronizedSummaryStatistics67.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs72);
    synchronizedSummaryStatistics66.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs72);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics78 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic79 = synchronizedSummaryStatistics78.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic80 = synchronizedSummaryStatistics78.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic81 = synchronizedSummaryStatistics78.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic82 = synchronizedSummaryStatistics78.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance83 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d84 = variance83.getResult();
    synchronizedSummaryStatistics78.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance83);
    double[] d_array88 = new double[] { 10.0d, 1.0d };
    variance83.setData(d_array88);
    sumOfLogs72.incrementAll(d_array88);
    // The following exception was thrown during execution in test generation
    try {
      double d93 = mean11.evaluate(d_array60, d_array88, 10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSum();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics3 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics(synchronizedSummaryStatistics0);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean4 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs5 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array7 = new double[] { 10.0d };
    double d8 = sumOfLogs5.evaluate(d_array7);
    double d11 = geometricMean4.evaluate(d_array7, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array15 = new double[] { 10.0d };
    double d16 = sumOfLogs13.evaluate(d_array15);
    double d19 = geometricMean12.evaluate(d_array15, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean.copy(geometricMean4, geometricMean12);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean21 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean(geometricMean12);
    synchronizedSummaryStatistics3.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean12);
    double d23 = geometricMean12.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-1163.814263599233d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9538125924620215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7617629350593983d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = synchronizedSummaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = synchronizedSummaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = synchronizedSummaryStatistics0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    synchronizedSummaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance5);
    double d8 = synchronizedSummaryStatistics0.getSecondMoment();
    double d9 = synchronizedSummaryStatistics0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.3444824314431956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.6734029996004699d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5872139151569291d));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSumOfLogs();
    double d3 = synchronizedSummaryStatistics0.getMin();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = synchronizedSummaryStatistics0.copy();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean5 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array8 = new double[] { 10.0d };
    double d9 = sumOfLogs6.evaluate(d_array8);
    double d12 = geometricMean5.evaluate(d_array8, 0, 1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = geometricMean5.getSumLogImpl();
    synchronizedSummaryStatistics0.setMinImpl(storelessUnivariateStatistic13);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = synchronizedSummaryStatistics0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics16 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = synchronizedSummaryStatistics16.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d19 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array23 = new double[] { 10.0d };
    double d24 = sumOfLogs21.evaluate(d_array23);
    double d27 = geometricMean20.evaluate(d_array23, 0, 1);
    variance18.incrementAll(d_array23);
    double[] d_array32 = new double[] { 1.0d, 10.0d, 1.0d };
    variance18.incrementAll(d_array32);
    synchronizedSummaryStatistics16.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    variance18.setBiasCorrected(true);
    synchronizedSummaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    double[] d_array38 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d40 = variance39.getResult();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean41 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs42 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array44 = new double[] { 10.0d };
    double d45 = sumOfLogs42.evaluate(d_array44);
    double d48 = geometricMean41.evaluate(d_array44, 0, 1);
    variance39.incrementAll(d_array44);
    double[] d_array53 = new double[] { 1.0d, 10.0d, 1.0d };
    variance39.incrementAll(d_array53);
    // The following exception was thrown during execution in test generation
    try {
      double d57 = variance18.evaluate(d_array38, d_array53, 3, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.7156569716217094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7156569716217096d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean2 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array5 = new double[] { 10.0d };
    double d6 = sumOfLogs3.evaluate(d_array5);
    double d9 = geometricMean2.evaluate(d_array5, 0, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = variance1.evaluate(d_array5, 2.302585092994046d, 1024, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.000000000000002d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0000002f, 5.29834236561059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000004f);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.99999994f, 1.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics0 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = synchronizedSummaryStatistics0.getVarianceImpl();
    double d2 = synchronizedSummaryStatistics0.getSumOfLogs();
    double d3 = synchronizedSummaryStatistics0.getMin();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = synchronizedSummaryStatistics0.copy();
    double d5 = summaryStatistics4.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0000005f, 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000006f);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-9.074787774234085d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(13284.233671299187d, 4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13284.234482198286d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.44412615900130886d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment1);
    variance3.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d6 = variance5.getResult();
    variance5.setBiasCorrected(false);
    double[] d_array9 = variance5.getData();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double d12 = variance11.getResult();
    boolean b14 = variance11.equals((java.lang.Object)0.0d);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    double d19 = variance11.evaluate(d_array17, Double.NaN);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs20 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array22 = new double[] { 10.0d };
    double d23 = sumOfLogs20.evaluate(d_array22);
    double d24 = variance11.evaluate(d_array22);
    org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics synchronizedSummaryStatistics25 = new org.apache.commons.math.stat.descriptive.SynchronizedSummaryStatistics();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = synchronizedSummaryStatistics25.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = synchronizedSummaryStatistics25.getMinImpl();
    boolean b28 = variance11.equals((java.lang.Object)storelessUnivariateStatistic27);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean29 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs30 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array32 = new double[] { 10.0d };
    double d33 = sumOfLogs30.evaluate(d_array32);
    double d36 = geometricMean29.evaluate(d_array32, 0, 1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean37 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean38 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean37);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs39 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array41 = new double[] { 10.0d };
    double d42 = sumOfLogs39.evaluate(d_array41);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment44);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs46 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array48 = new double[] { 10.0d };
    double d49 = sumOfLogs46.evaluate(d_array48);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs50 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array52 = new double[] { 10.0d };
    double d53 = sumOfLogs50.evaluate(d_array52);
    double d54 = variance45.evaluate(d_array48, d_array52);
    double d55 = mean38.evaluate(d_array41, d_array48);
    double d56 = variance11.evaluate(d_array32, d_array48);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = variance3.evaluate(d_array32, (-2), (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);

  }

}
